#cssmenu ul {
	margin:0;
	padding:0;
}

#cssmenu li {
	margin:0;
	padding:0;
}
/* white-space: nowrap; */

#cssmenu a {
	margin:0;
	padding:0;
}

#cssmenu ul {
	list-style:none;
}

#cssmenu a {
	text-decoration:none;
}

#cssmenu {
/* margin: 0; */
	margin-right:auto;
	margin-left:auto;
/* padding: 0; */
	width:auto;
/* height: auto; */
/* background-color: rgb(35,35,35); */
/* box-shadow: 0px 0px 0px rgba(0,0,0,.4); */
	text-align:center;
}

#cssmenu > ul {
	display:inline-block;
	display:table;
/* Position entire navbar */
	margin-top:1px;
	margin-right:auto;
	margin-left:auto;
	padding:0;
	width:auto;
}

/* Bullet/arrow for top-level menu, when used as a separate, inline div */
.dropdown-bullet-on,.dropdown-bullet-off {
	position:relative;
	top:6px;
	right:-10px;
	z-index:999;
	float:right;
	margin-bottom:-17px;
	width:0;
	height:0;
	border-color:#ddd transparent transparent;
	border-color:#ddd rgba(221,221,221,0) rgba(221,221,221,0);
/* Fix for odd gray border bug in FireFox for Windows */
	border-style:solid;
	border-width:5px 5px 0;
}

.dropdown-bullet-off {
	visibility:hidden;
}

/* Top-level menu positioning */
#cssmenu > ul > li {
	position:relative;
	top:0;
	float:left;
	margin:0;
/* margin-left: 15px; */
/* padding: 0.75em 2em; */
	padding:10px 18px;
}

#cssmenu > ul > li.cssmenu-last {
/* Last top-level menu item positioning (if needed) */
	margin-right:10px;
}

/* Top-level menu link item */
#cssmenu > ul > li > a {
/* display: inline; */
	margin:0;
/* padding: 15px 20px; */
	padding:0;
/* color: rgb(160,160,160); */
	color:#fff;
	text-decoration:none;
/* font-size: 15px; */
	font-size:13px;
/* font-family: Verdana, 'Lucida Grande'; */
/* line-height: 70px; */
	-webkit-transition:color .15s;
	-moz-transition:color .15s;
	-o-transition:color .15s;
	transition:color .15s;
	-ms-transition:color .15s;
}

#cssmenu > ul > li:hover > a {
	color:#e6e6e6;
}

/* Top-level menu image (if using images instead of CSS text for the top-level menu) */
#cssmenu > ul > li > a > img {
	z-index:99;
	display:block;
	margin:0;
}

/* Top-level menu item, with sub-items (shows bullet to indicate submenu) */
#cssmenu > ul > li.has-sub {
	margin-right:8px;
}

#cssmenu > ul > li.has-sub:after {
	position:absolute;
	top:16px;
	right:6px;
	z-index:999;
	float:right;
	margin:0 0 0 4px;
	width:0;
	height:0;
	border-color:#b5b5b5 transparent transparent;
	border-color:#b5b5b5 rgba(181,181,181,0) rgba(181,181,181,0);
/* Fix for odd gray border bug in FireFox for Windows */
	border-style:solid;
	border-width:4px 4px 0;
	content:'';
}

#cssmenu > ul > li.has-sub:hover:after {
/* border-color: transparent; */
	border-color:#7e7e7e transparent transparent;
	border-color:#7e7e7e rgba(126,126,126,0) rgba(126,126,126,0);
/* Fix for odd gray border bug in FireFox for Windows */
}

/* Submenu 1 background & positioning */
#cssmenu > ul > li > ul {
	position:absolute;
/* top: 55px; */
/* left: 100px; */
	z-index:999;
	visibility:hidden;
	margin-top:12px;
/* margin-left: -90px; */
	margin-left:-6px;
	padding:7px 0;
	width:auto;
	min-width:160px;
	border-radius:5px;
	background-color:#f0f0f0;
	-webkit-box-shadow:0 1px 3px rgba(0,0,0,0.4);
	box-shadow:0 1px 3px rgba(0,0,0,0.4);
	text-align:left;
/* opacity: 0; */
/* Does not work in Safari 5; solution is to change opacity to 1 */
	opacity:1;
	-webkit-transition:all .2s ease .1s;
/* -webkit-transition: opacity .1s .1s; */
	-moz-transition:all .2s ease .1s;
/* -moz-transition: opacity .1s .1s; */
	-o-transition:all .2s ease .1s;
/* -o-transition: opacity .1s .1s; */
	transition:all .2s ease .1s;
/* transition: opacity .1s .1s; */
/* NOTE: Original settings commented-out; */
	-webkit-backface-visibility:hidden;
	-ms-transition:all .2s ease .1s;
/* -ms-transition: opacity .1s .1s; */
}

/* Bullet for submenus */
#cssmenu ul > li > ul > li.has-sub > a:after {
/* position:absolute; */
	position:absolute;
/* top:18px; */
	top:9px;
/* right:6px; */
	right:12px;
	width:0;
	height:0;
/* border:5px solid transparent; */
	border-color:transparent transparent transparent #c6c6c6;
	border-color:rgba(198,198,198,0) rgba(198,198,198,0) rgba(198,198,198,0) #c6c6c6;
/* Fix for odd gray border bug in FireFox for Windows */
	border-style:solid;
	border-width:5px 0 5px 5px;
/* border-top:5px solid #c6c6c6; */
	content:'';
}

#cssmenu ul > li > ul > li.has-sub:hover > a:after {
	top:8px;
}

/* Submenus: make space for bullet */
#cssmenu ul ul li.has-sub > a {
/* float: left; */
	display:block;
	padding-right:26px;
}

/* Submenus: ensure proper cursor on hover, even if li isn't a link */
#cssmenu li.has-sub:hover {
	cursor:default;
}

/* Submenus: style for a "read more" link, if needed */
#cssmenu ul ul li.more-link {
	text-align:right;
	font-style:italic;
}

/* Submenu 1 hover state */
#cssmenu > ul > li:hover > ul {
/* top: 28px; */
	visibility:visible;
	margin-top:7px;
	opacity:1;
/* NOTE: Original settings commented-out; */
}

/* Submenu 1 pointer/triangle */
#cssmenu > ul > li > ul:after {
	position:absolute;
	top:-15px;
/* left: 50%; */
	left:20px;
	display:block;
	margin-left:-10px;
	border-color:transparent transparent #f0f0f0;
	border-color:rgba(240,240,240,0) rgba(240,240,240,0) #f0f0f0;
/* Fix for odd gray border bug in FireFox for Windows */
	border-style:solid;
	border-width:10px;
	content:'';
}

/* Submenu 1 item positioning */
#cssmenu > ul ul > li {
	position:relative;
}

/* Submenu link item */
#cssmenu ul ul a {
	display:block;
	padding:5px 14px;
	background-color:#f0f0f0;
	color:#626262;
	font-weight:400;
	font-size:12px;
/* font-family: "Merriweather", "Adobe Garamond", "Adobe Garamond Pro", "ITC Garamond", Garamond, Georgia, Palatino, "Times New Roman", Times, serif; */
	-webkit-transition:background-color .1s;
	-moz-transition:background-color .1s;
	-o-transition:background-color .1s;
	transition:background-color .1s;
	-ms-transition:background-color .1s;
}

/* Submenu link item hover state */
#cssmenu ul ul a:hover {
	background-color:#F60;
	color:#f0f0f0;
}

/* Submenu 2 background */
#cssmenu ul ul ul {
	position:absolute;
	top:-7px;
	left:100%;
	z-index:9999;
	float:right;
	visibility:hidden;
	padding:7px 0;
	width:auto;
	max-width:300px;
	min-width:140px;
	border-radius:5px;
	background-color:#f0f0f0;
	-webkit-box-shadow:0 1px 3px rgba(0,0,0,0.4);
	box-shadow:0 1px 3px rgba(0,0,0,0.4);
	text-align:left;
/* opacity: 0; */
/* Does not work in Safari 5; solution is to change opacity to 1 */
	opacity:1;
	-webkit-transition:all .2s ease .1s;
/* -webkit-transition: opacity .2s .1s; */
	-moz-transition:all .2s ease .1s;
/* -moz-transition: opacity .2s .1s; */
	-o-transition:all .2s ease .1s;
/* -o-transition: opacity .2s .1s; */
	transition:all .2s ease .1s;
/* transition: opacity .2s .1s; */
	-webkit-backface-visibility:hidden;
	-ms-transition:all .2s ease .1s;
/* -ms-transition: opacity .2s .1s; */
}

/* Submenu 2 hover state */
#cssmenu ul ul > li:hover > ul {
/* left: calc(100% - 5px); */
	visibility:visible;
	margin-left:-5px;
	opacity:1;
}